//==============================================================================================
//
//	Windows Interface Construction Set
//	Version 1.00
//
//	DIAL.H - Dial Class Header File
//	Copyright  1993 by Microdyne Development Technologies
//	All rights reserved.
//==============================================================================================

#ifndef _DIAL_H
#define _DIAL_H

#include <scrollba.h>
#include <wics.h>

#pragma option -Vo-
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po-
#endif

_CLASSDEF(TDial)

/* --------------------------------------------------------
  TDial object
  -------------------------------------------------------- */

class _EXPORT TDial : public TScrollBar
{
public:
    int LineMagnitude, PageMagnitude;

	TDial(PTWindowsObject AParent, int AnId, int X, int Y, PTModule AModule = NULL);
	TDial(PTWindowsObject AParent, int ResourceId, PTModule AModule = NULL);

    void GetRange(Rint LoVal, Rint HiVal);
    int GetPosition();
	void SetRange(int LoVal, int HiVal, BOOL fRedraw = FALSE);
    void SetPosition(int ThumbPos);

    static PTStreamable build();

protected:
    virtual LPSTR GetClassName() { return "DialClass"; }

	TDial(StreamableInit) : TScrollBar(streamableInit) {};
    virtual void write (Ropstream os);
    virtual Pvoid read (Ripstream is);

private:
    virtual const Pchar streamableName() const { return "TDial"; }
};

inline Ripstream operator >> ( Ripstream is, RTDial cl )  { return is >> (RTStreamable )cl; }
inline Ripstream operator >> ( Ripstream is, RPTDial cl ) { return is >> (RPvoid)cl; }
inline Ropstream operator << ( Ropstream os, RTDial cl )  { return os << (RTStreamable )cl; }
inline Ropstream operator << ( Ropstream os, PTDial cl )  { return os << (PTStreamable )cl; }

#pragma option -Vo.
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po.
#endif

#endif
